#include <gtk/gtk.h>
#include "Gui.h"
#include "MainWindow.h"

Gui *gui;

int main(int argc, char** argv) {
	gui = new Gui();
	MainWindow *window;
	
	gtk_init(&argc, &argv);
	
	if (!gui->loadInterface("main_window.ui")) {
		return -1;
	}
	window = new MainWindow(gui->getWidget("wndHelloWorld"));
	window->show();
	
	gtk_main();
	
	delete window;
	delete gui;
	return 0;
}
