#include "MainWindow.h"
#include "Gui.h"

extern Gui *gui;

MainWindow::MainWindow(GtkWidget *wnd) 
	: Window(wnd) {
	g_signal_connect(G_OBJECT(this->wnd), "delete-event", G_CALLBACK(MainWindow::onDeleteEvent), NULL);
	g_signal_connect(G_OBJECT(this->wnd), "destroy", G_CALLBACK(MainWindow::onDestroy), NULL);
}

MainWindow::~MainWindow() {
}

// ==================================================================================================
// Static functions - event handlers
// ==================================================================================================
void MainWindow::onDestroy(GtkWidget* widget, gpointer data) {
	gtk_main_quit();
}

gboolean MainWindow::onDeleteEvent(GtkWidget* widget, GdkEvent* event, gpointer data) {
	if (gui->msgBoxYesNo("Czy na pewno chcesz opuścić program?") == GTK_RESPONSE_YES) {
		return FALSE;
	}
	return TRUE;
}
